Index: LMDZ6/branches/Amaury_dev/libf/README
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/README	(revision 5100)
+++ LMDZ6/branches/Amaury_dev/libf/README	(revision 5101)
@@ -38,5 +38,5 @@
                with at a first level common routines to all physics 
                and dedicated specific routines for each physics
-               (e.g., call physics + physics initialization) in a
+               (e.g., CALL physics + physics initialization) in a
                subdirectory of the same name as the physics package's
                (phylmd, phydev, ...).
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/abort_gcm.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/abort_gcm.F	(revision 5100)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/abort_gcm.F	(revision 5101)
@@ -37,12 +37,12 @@
 
 #ifdef CPP_IOIPSL
-      call histclo
-      call restclo
+      CALL histclo
+      CALL restclo
 #endif
-      call getin_dump
-c     call histclo(2)
-c     call histclo(3)
-c     call histclo(4)
-c     call histclo(5)
+      CALL getin_dump
+c     CALL histclo(2)
+c     CALL histclo(3)
+c     CALL histclo(4)
+c     CALL histclo(5)
       write(lunout,*) 'Stopping in ', modname
       write(lunout,*) 'Reason = ',message
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/advtrac.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/advtrac.f90	(revision 5101)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/advtrac.f90	(revision 5101)
@@ -0,0 +1,354 @@
+! $Id$
+
+SUBROUTINE advtrac(pbaru, pbarv, p, masse, q, iapptrac, teta, flxw, pk)
+  !     Auteur :  F. Hourdin
+
+  !     Modif. P. Le Van     (20/12/97)
+  !            F. Codron     (10/99)
+  !            D. Le Croller (07/2001)
+  !            M.A Filiberti (04/2002)
+
+  USE infotrac, ONLY: nqtot, tracers, isoCheck
+  USE control_mod, ONLY: iapp_tracvl, day_step
+  USE comconst_mod, ONLY: dtvr
+  USE lmdz_cppkeys_wrapper, ONLY: CPPKEY_DEBUGIO
+  USE write_field, ONLY: int2str
+
+  IMPLICIT NONE
+
+  include "dimensions.h"
+  include "paramet.h"
+  include "comdissip.h"
+  include "comgeom2.h"
+  include "description.h"
+  include "iniprint.h"
+
+  !---------------------------------------------------------------------------
+  !     Arguments
+  !---------------------------------------------------------------------------
+  INTEGER, INTENT(OUT) :: iapptrac
+  REAL, INTENT(IN) :: pbaru(ip1jmp1, llm)
+  REAL, INTENT(IN) :: pbarv(ip1jm, llm)
+  REAL, INTENT(INOUT) :: q(ip1jmp1, llm, nqtot)
+  REAL, INTENT(IN) :: masse(ip1jmp1, llm)
+  REAL, INTENT(IN) :: p(ip1jmp1, llmp1)
+  REAL, INTENT(IN) :: teta(ip1jmp1, llm)
+  REAL, INTENT(IN) :: pk(ip1jmp1, llm)
+  REAL, INTENT(OUT) :: flxw(ip1jmp1, llm)
+  !---------------------------------------------------------------------------
+  !     Ajout PPM
+  !---------------------------------------------------------------------------
+  REAL :: massebx(ip1jmp1, llm), masseby(ip1jm, llm)
+  !---------------------------------------------------------------------------
+  !     Variables locales
+  !---------------------------------------------------------------------------
+  INTEGER :: ij, l, iq, iadv
+  !   REAL(KIND=KIND(1.d0)) :: t_initial, t_final, tps_cpu
+  REAL :: zdp(ip1jmp1), zdpmin, zdpmax
+  INTEGER, SAVE :: iadvtr = 0
+  REAL, DIMENSION(ip1jmp1, llm) :: pbaruc, pbarug, massem, wg
+  REAL, DIMENSION(ip1jm, llm) :: pbarvc, pbarvg
+  EXTERNAL  minmax
+  SAVE massem, pbaruc, pbarvc
+  !---------------------------------------------------------------------------
+  !     Rajouts pour PPM
+  !---------------------------------------------------------------------------
+  INTEGER indice, n
+  REAL :: dtbon                       ! Pas de temps adaptatif pour que CFL<1
+  REAL :: CFLmaxz, aaa, bbb           ! CFL maximum
+  REAL, DIMENSION(iim, jjp1, llm) :: unatppm, vnatppm, fluxwppm
+  REAL :: qppm(iim * jjp1, llm, nqtot)
+  REAL :: psppm(iim, jjp1)           ! pression  au sol
+  REAL, DIMENSION(llmp1) :: apppm, bpppm
+  LOGICAL, SAVE :: dum = .TRUE., fill = .TRUE.
+
+  INTEGER, SAVE :: countcfl = 0
+  REAL, DIMENSION(ip1jmp1, llm) :: cflx, cflz
+  REAL, DIMENSION(ip1jm, llm) :: cfly
+  REAL, DIMENSION(llm), SAVE :: cflxmax, cflymax, cflzmax
+
+  IF(iadvtr == 0) THEN
+    pbaruc(:, :) = 0
+    pbarvc(:, :) = 0
+  END IF
+
+  !--- Accumulation des flux de masse horizontaux
+  DO l = 1, llm
+    DO ij = 1, ip1jmp1
+      pbaruc(ij, l) = pbaruc(ij, l) + pbaru(ij, l)
+    END DO
+    DO ij = 1, ip1jm
+      pbarvc(ij, l) = pbarvc(ij, l) + pbarv(ij, l)
+    END DO
+  END DO
+
+  !--- Selection de la masse instantannee des mailles avant le transport.
+  IF(iadvtr == 0) THEN
+    CALL SCOPY(ip1jmp1 * llm, masse, 1, massem, 1)
+    ! CALL filtreg ( massem ,jjp1, llm,-2, 2, .TRUE., 1 )
+  END IF
+
+  iadvtr = iadvtr + 1
+  iapptrac = iadvtr
+
+  !--- Test pour savoir si on advecte a ce pas de temps
+  IF(iadvtr /= iapp_tracvl) RETURN
+
+  !   ..  Modif P.Le Van  ( 20/12/97 )  ....
+
+  !   traitement des flux de masse avant advection.
+  !       1. calcul de w
+  !       2. groupement des mailles pres du pole.
+
+  CALL groupe(massem, pbaruc, pbarvc, pbarug, pbarvg, wg)
+
+  !--- Flux de masse diaganostiques traceurs
+  flxw = wg / REAL(iapp_tracvl)
+
+  !--- Test sur l'eventuelle creation de valeurs negatives de la masse
+  DO l = 1, llm - 1
+    DO ij = iip2 + 1, ip1jm
+      zdp(ij) = pbarug(ij - 1, l) - pbarug(ij, l) &
+              - pbarvg(ij - iip1, l) + pbarvg(ij, l) &
+              + wg(ij, l + 1) - wg(ij, l)
+    END DO
+    ! ym  ---> pourquoi jjm-1 et non jjm ? a cause du pole ?
+    CALL SCOPY(jjm - 1, zdp(iip1 + iip1), iip1, zdp(iip2), iip1)
+    DO ij = iip2, ip1jm
+      zdp(ij) = zdp(ij) * dtvr / massem(ij, l)
+    END DO
+
+    CALL minmax (ip1jm - iip1, zdp(iip2), zdpmin, zdpmax)
+
+    IF(MAX(ABS(zdpmin), ABS(zdpmax)) > 0.5) &
+            WRITE(*, *)'WARNING DP/P l=', l, '  MIN:', zdpmin, ' MAX:', zdpmax
+
+  END DO
+
+  !-------------------------------------------------------------------------
+  ! Calcul des criteres CFL en X, Y et Z
+  !-------------------------------------------------------------------------
+  IF(countcfl == 0.) then
+    cflxmax(:) = 0.
+    cflymax(:) = 0.
+    cflzmax(:) = 0.
+  END IF
+
+  countcfl = countcfl + iapp_tracvl
+  cflx(:, :) = 0.
+  cfly(:, :) = 0.
+  cflz(:, :) = 0.
+  DO l = 1, llm
+    DO ij = iip2, ip1jm - 1
+      IF(pbarug(ij, l)>=0.) then
+        cflx(ij, l) = pbarug(ij, l) * dtvr / masse(ij, l)
+      ELSE
+        cflx(ij, l) = -pbarug(ij, l) * dtvr / masse(ij + 1, l)
+      END IF
+    END DO
+  END DO
+
+  DO l = 1, llm
+    DO ij = iip2, ip1jm - 1, iip1
+      cflx(ij + iip1, l) = cflx(ij, l)
+    END DO
+  END DO
+
+  DO l = 1, llm
+    DO ij = 1, ip1jm
+      IF(pbarvg(ij, l)>=0.) then
+        cfly(ij, l) = pbarvg(ij, l) * dtvr / masse(ij, l)
+      ELSE
+        cfly(ij, l) = -pbarvg(ij, l) * dtvr / masse(ij + iip1, l)
+      END IF
+    END DO
+  END DO
+
+  DO l = 2, llm
+    DO ij = 1, ip1jm
+      IF(wg(ij, l) >= 0.) THEN
+        cflz(ij, l) = wg(ij, l) * dtvr / masse(ij, l)
+      ELSE
+        cflz(ij, l) = -wg(ij, l) * dtvr / masse(ij, l - 1)
+      END IF
+    END DO
+  END DO
+
+  DO l = 1, llm
+    cflxmax(l) = max(cflxmax(l), maxval(cflx(:, l)))
+    cflymax(l) = max(cflymax(l), maxval(cfly(:, l)))
+    cflzmax(l) = max(cflzmax(l), maxval(cflz(:, l)))
+  END DO
+
+  !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+  ! Par defaut, on sort le diagnostic des CFL tous les jours.
+  ! Si on veut le sortir a chaque pas d'advection en cas de plantage
+  !       IF(countcfl==iapp_tracvl) then
+  !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+  IF(countcfl==day_step) then
+    DO l = 1, llm
+      WRITE(lunout, *) 'L, CFL[xyz]max:', l, cflxmax(l), cflymax(l), cflzmax(l)
+    END DO
+    countcfl = 0
+  END IF
+
+  !---------------------------------------------------------------------------
+  !   Advection proprement dite (Modification Le Croller (07/2001)
+  !---------------------------------------------------------------------------
+
+  !---------------------------------------------------------------------------
+  !   Calcul des moyennes basees sur la masse
+  !---------------------------------------------------------------------------
+  CALL massbar(massem, massebx, masseby)
+
+  IF (CPPKEY_DEBUGIO) THEN
+    CALL WriteField_u('massem', massem)
+    CALL WriteField_u('wg', wg)
+    CALL WriteField_u('pbarug', pbarug)
+    CALL WriteField_v('pbarvg', pbarvg)
+    CALL WriteField_u('p_tmp', p)
+    CALL WriteField_u('pk_tmp', pk)
+    CALL WriteField_u('teta_tmp', teta)
+    DO iq = 1, nqtot
+      CALL WriteField_u('q_adv' // trim(int2str(iq)), q(:, :, iq))
+    END DO
+  END IF
+
+  IF(isoCheck) WRITE(*, *) 'advtrac 227'
+  CALL check_isotopes_seq(q, ip1jmp1, 'advtrac 162')
+
+  !-------------------------------------------------------------------------
+  !       Appel des sous programmes d'advection
+  !-------------------------------------------------------------------------
+  DO iq = 1, nqtot
+    !     CALL clock(t_initial)
+    IF(tracers(iq)%parent /= 'air') CYCLE
+    iadv = tracers(iq)%iadv
+    !-----------------------------------------------------------------------
+    SELECT CASE(iadv)
+      !-----------------------------------------------------------------------
+    CASE(0); CYCLE
+    !--------------------------------------------------------------------
+    CASE(10)  !--- Schema de Van Leer I MUSCL
+      !--------------------------------------------------------------------
+      !           WRITE(*,*) 'advtrac 239: iq,q(1721,19,:)=',iq,q(1721,19,:)
+      CALL vlsplt(q, 2., massem, wg, pbarug, pbarvg, dtvr, iq)
+
+      !--------------------------------------------------------------------
+    CASE(14)  !--- Schema "pseuDO amont" + test sur humidite specifique
+      !--- pour la vapeur d'eau. F. Codron
+      !--------------------------------------------------------------------
+      !           WRITE(*,*) 'advtrac 248: iq,q(1721,19,:)=',iq,q(1721,19,:)
+      CALL vlspltqs(q, 2., massem, wg, pbarug, pbarvg, dtvr, p, pk, teta, iq)
+
+      !--------------------------------------------------------------------
+    CASE(12)  !--- Schema de Frederic Hourdin
+      !--------------------------------------------------------------------
+      CALL adaptdt(iadv, dtbon, n, pbarug, massem)   ! pas de temps adaptatif
+      IF(n > 1) WRITE(*, *) 'WARNING horizontal dt=', dtbon, 'dtvr=', dtvr, 'n=', n
+      DO indice = 1, n
+        CALL advn(q(1, 1, iq), massem, wg, pbarug, pbarvg, dtbon, 1)
+      END DO
+
+      !--------------------------------------------------------------------
+    CASE(13)  !--- Pas de temps adaptatif
+      !--------------------------------------------------------------------
+      CALL adaptdt(iadv, dtbon, n, pbarug, massem)
+      IF(n > 1) WRITE(*, *) 'WARNING horizontal dt=', dtbon, 'dtvr=', dtvr, 'n=', n
+      DO indice = 1, n
+        CALL advn(q(1, 1, iq), massem, wg, pbarug, pbarvg, dtbon, 2)
+      END DO
+
+      !--------------------------------------------------------------------
+    CASE(20)  !--- Schema de pente SLOPES
+      !--------------------------------------------------------------------
+      CALL pentes_ini (q(1, 1, iq), wg, massem, pbarug, pbarvg, 0)
+
+      !--------------------------------------------------------------------
+    CASE(30)  !--- Schema de Prather
+      !--------------------------------------------------------------------
+      ! Pas de temps adaptatif
+      CALL adaptdt(iadv, dtbon, n, pbarug, massem)
+      IF(n > 1) WRITE(*, *) 'WARNING horizontal dt=', dtbon, 'dtvr=', dtvr, 'n=', n
+      CALL prather(q(1, 1, iq), wg, massem, pbarug, pbarvg, n, dtbon)
+
+      !--------------------------------------------------------------------
+    CASE(11, 16, 17, 18)   !--- Schemas PPM Lin et Rood
+      !--------------------------------------------------------------------
+      ! Test sur le flux horizontal
+      CALL adaptdt(iadv, dtbon, n, pbarug, massem)   ! pas de temps adaptatif
+      IF(n > 1) WRITE(*, *) 'WARNING horizontal dt=', dtbon, 'dtvr=', dtvr, 'n=', n
+      ! Test sur le flux vertical
+      CFLmaxz = 0.
+      DO l = 2, llm
+        DO ij = iip2, ip1jm
+          aaa = wg(ij, l) * dtvr / massem(ij, l)
+          CFLmaxz = max(CFLmaxz, aaa)
+          bbb = -wg(ij, l) * dtvr / massem(ij, l - 1)
+          CFLmaxz = max(CFLmaxz, bbb)
+        END DO
+      END DO
+      IF(CFLmaxz>=1) WRITE(*, *) 'WARNING vertical', 'CFLmaxz=', CFLmaxz
+      !----------------------------------------------------------------
+      !     Ss-prg interface LMDZ.4->PPM3d (ss-prg de Lin)
+      !----------------------------------------------------------------
+      CALL interpre(q(1, 1, iq), qppm(1, 1, iq), wg, fluxwppm, massem, &
+              apppm, bpppm, massebx, masseby, pbarug, pbarvg, &
+              unatppm, vnatppm, psppm)
+
+      !----------------------------------------------------------------
+      DO indice = 1, n     !--- VL (version PPM) horiz. et PPM vert.
+        !----------------------------------------------------------------
+        SELECT CASE(iadv)
+          !----------------------------------------------------------
+        CASE(11)
+          !----------------------------------------------------------
+          CALL ppm3d(1, qppm(1, 1, iq), psppm, psppm, unatppm, vnatppm, fluxwppm, dtbon, &
+                  2, 2, 2, 1, iim, jjp1, 2, llm, apppm, bpppm, 0.01, 6400000, fill, dum, 220.)
+          !----------------------------------------------------------
+        CASE(16) !--- Monotonic PPM
+          !----------------------------------------------------------
+          CALL ppm3d(1, qppm(1, 1, iq), psppm, psppm, unatppm, vnatppm, fluxwppm, dtbon, &
+                  3, 3, 3, 1, iim, jjp1, 2, llm, apppm, bpppm, 0.01, 6400000, fill, dum, 220.)
+          !----------------------------------------------------------
+        CASE(17) !--- Semi monotonic PPM
+          !----------------------------------------------------------
+          CALL ppm3d(1, qppm(1, 1, iq), psppm, psppm, unatppm, vnatppm, fluxwppm, dtbon, &
+                  4, 4, 4, 1, iim, jjp1, 2, llm, apppm, bpppm, 0.01, 6400000, fill, dum, 220.)
+          !----------------------------------------------------------
+        CASE(18) !--- Positive Definite PPM
+          !----------------------------------------------------------
+          CALL ppm3d(1, qppm(1, 1, iq), psppm, psppm, unatppm, vnatppm, fluxwppm, dtbon, &
+                  5, 5, 5, 1, iim, jjp1, 2, llm, apppm, bpppm, 0.01, 6400000, fill, dum, 220.)
+        END SELECT
+        !----------------------------------------------------------------
+      END DO
+      !----------------------------------------------------------------
+      !     Ss-prg interface PPM3d-LMDZ.4
+      !----------------------------------------------------------------
+      CALL interpost(q(1, 1, iq), qppm(1, 1, iq))
+      !----------------------------------------------------------------------
+    END SELECT
+    !----------------------------------------------------------------------
+
+    !----------------------------------------------------------------------
+    ! On impose une seule valeur du traceur au pole Sud j=jjm+1=jjp1 et Nord j=1
+    !----------------------------------------------------------------------
+    !  CALL traceurpole(q(1,1,iq),massem)
+
+    !--- Calcul du temps cpu pour un schema donne
+    !  CALL clock(t_final)
+    !ym  tps_cpu=t_final-t_initial
+    !ym  cpuadv(iq)=cpuadv(iq)+tps_cpu
+
+  END DO
+
+  IF(isoCheck) WRITE(*, *) 'advtrac 402'
+  CALL check_isotopes_seq(q, ip1jmp1, 'advtrac 397')
+
+  !-------------------------------------------------------------------------
+  !   on reinitialise a zero les flux de masse cumules
+  !-------------------------------------------------------------------------
+  iadvtr = 0
+
+END SUBROUTINE advtrac
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/bilan_dyn.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/bilan_dyn.F	(revision 5100)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/bilan_dyn.F	(revision 5101)
@@ -185,10 +185,10 @@
            WRITE(lunout,*)'dt_app=',dt_app
            WRITE(lunout,*)'dt_cum=',dt_cum
-           call abort_gcm('bilan_dyn','stopped',1)
+           CALL abort_gcm('bilan_dyn','stopped',1)
         endif
 
         if (i_sortie==1) then
          file='dynzon'
-         call inigrads(ifile,1
+         CALL inigrads(ifile,1
      s  ,0.,180./pi,0.,0.,jjm,rlatv,-90.,90.,180./pi
      s  ,llm,presnivs,1.
@@ -226,5 +226,5 @@
       rlatg=rlatv*180./pi
        
-      call histbeg(infile, 1, rlong, jjm, rlatg,
+      CALL histbeg(infile, 1, rlong, jjm, rlatg,
      .             1, 1, 1, jjm,
      .             tau0, zjulian, dt_cum, thoriid, fileid)
@@ -233,5 +233,5 @@
 C  Appel a histvert pour la grille verticale
 C
-      call histvert(fileid, 'presnivs', 'Niveaux sigma','mb',
+      CALL histvert(fileid, 'presnivs', 'Niveaux sigma','mb',
      .              llm, presnivs, zvertiid)
 C
@@ -258,5 +258,5 @@
      . WRITE(lunout,*)'var ',itr,iQ
      .      ,znom(itr,iQ),znoml(itr,iQ),zunites(itr,iQ)
-            call histdef(fileid,znom(itr,iQ),znoml(itr,iQ),
+            CALL histdef(fileid,znom(itr,iQ),znoml(itr,iQ),
      .        zunites(itr,iQ),1,jjm,thoriid,llm,1,llm,zvertiid,
      .        32,'ave(X)',dt_cum,dt_cum)
@@ -264,5 +264,5 @@
 c   Declarations pour les fonctions de courant
 c      print*,'2HISTDEF'
-          call histdef(fileid,'psi'//nom(iQ)
+          CALL histdef(fileid,'psi'//nom(iQ)
      .      ,'stream fn. '//znoml(itot,iQ),
      .      zunites(itot,iQ),1,jjm,thoriid,llm,1,llm,zvertiid,
@@ -273,13 +273,13 @@
 c   Declarations pour les champs de transport d'air
 c      print*,'3HISTDEF'
-      call histdef(fileid, 'masse', 'masse',
+      CALL histdef(fileid, 'masse', 'masse',
      .             'kg', 1, jjm, thoriid, llm, 1, llm, zvertiid,
      .             32, 'ave(X)', dt_cum, dt_cum)
-      call histdef(fileid, 'v', 'v',
+      CALL histdef(fileid, 'v', 'v',
      .             'm/s', 1, jjm, thoriid, llm, 1, llm, zvertiid,
      .             32, 'ave(X)', dt_cum, dt_cum)
 c   Declarations pour les fonctions de courant
 c      print*,'4HISTDEF'
-          call histdef(fileid,'psi','stream fn. MMC ','mega t/s',
+          CALL histdef(fileid,'psi','stream fn. MMC ','mega t/s',
      .      1,jjm,thoriid,llm,1,llm,zvertiid,
      .      32,'ave(X)',dt_cum,dt_cum)
@@ -290,5 +290,5 @@
       do iQ=1,nQ
          do itr=2,ntr
-            call histdef(fileid,'a'//znom(itr,iQ),znoml(itr,iQ),
+            CALL histdef(fileid,'a'//znom(itr,iQ),znoml(itr,iQ),
      .        zunites(itr,iQ),1,jjm,thoriid,1,1,1,-99,
      .        32,'ave(X)',dt_cum,dt_cum)
@@ -391,8 +391,8 @@
 
 c   convergence horizontale
-      call  convflu(flux_uQ_cum,flux_vQ_cum,llm*nQ,dQ)
+      CALL  convflu(flux_uQ_cum,flux_vQ_cum,llm*nQ,dQ)
 
 c   calcul de la vitesse verticale
-      call convmas(flux_u_cum,flux_v_cum,convm)
+      CALL convmas(flux_u_cum,flux_v_cum,convm)
       CALL vitvert(convm,w)
 
@@ -447,5 +447,5 @@
       zv=0.
       zmasse=0.
-      call massbar(masse_cum,massebx,masseby)
+      CALL massbar(masse_cum,massebx,masseby)
       do l=1,llm
          do j=1,jjm
@@ -537,17 +537,17 @@
       do iQ=1,nQ
          do itr=1,ntr
-            call histwrite(fileid,znom(itr,iQ),itau,zvQ(:,:,itr,iQ)
+            CALL histwrite(fileid,znom(itr,iQ),itau,zvQ(:,:,itr,iQ)
      s      ,jjm*llm,ndex3d)
          enddo
-         call histwrite(fileid,'psi'//nom(iQ),itau,psiQ(:,1:llm,iQ)
+         CALL histwrite(fileid,'psi'//nom(iQ),itau,psiQ(:,1:llm,iQ)
      s      ,jjm*llm,ndex3d)
       enddo
 
-      call histwrite(fileid,'masse',itau,zmasse
+      CALL histwrite(fileid,'masse',itau,zmasse
      s   ,jjm*llm,ndex3d)
-      call histwrite(fileid,'v',itau,zv
+      CALL histwrite(fileid,'v',itau,zv
      s   ,jjm*llm,ndex3d)
       psi=psi*1.e-9
-      call histwrite(fileid,'psi',itau,psi(:,1:llm),jjm*llm,ndex3d)
+      CALL histwrite(fileid,'psi',itau,psi(:,1:llm),jjm*llm,ndex3d)
 
       endif
@@ -569,5 +569,5 @@
             enddo
             zavQ(:,itr,iQ)=zavQ(:,itr,iQ)/zamasse(:)
-            call histwrite(fileid,'a'//znom(itr,iQ),itau,zavQ(:,itr,iQ)
+            CALL histwrite(fileid,'a'//znom(itr,iQ),itau,zavQ(:,itr,iQ)
      s      ,jjm*llm,ndex3d)
          enddo
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/caldyn.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/caldyn.F	(revision 5100)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/caldyn.F	(revision 5101)
@@ -83,5 +83,5 @@
       CALL massbar  (   masse, massebx , masseby                    )
       ! compute XY-average of mass, massebxy()
-      call massbarxy(   masse, massebxy                             )
+      CALL massbarxy(   masse, massebxy                             )
       ! compute mass fluxes pbaru() and pbarv()
       CALL flumass  ( massebx, masseby , vcont, ucont ,pbaru, pbarv )
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/conf_gcm.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/conf_gcm.F90	(revision 5100)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/conf_gcm.F90	(revision 5101)
@@ -11,5 +11,5 @@
   use ioipsl_getincom
 #endif
-  USE infotrac, ONLY : type_trac
+  USE infotrac, ONLY: type_trac
   use assert_m, only: assert
   USE comconst_mod, ONLY: dissip_deltaz, dissip_factz, dissip_zref, &
@@ -315,5 +315,5 @@
   CALL getin('maxlatfilter',maxlatfilter)
   if (maxlatfilter > 90) &
-       call abort_gcm("conf_gcm", 'maxlatfilter should be <=90', 1)
+       CALL abort_gcm("conf_gcm", 'maxlatfilter should be <=90', 1)
 
 
@@ -329,5 +329,5 @@
   CALL getin('iflag_top_bound',iflag_top_bound)
   IF (iflag_top_bound < 0 .or. iflag_top_bound > 2) &
-       call abort_gcm("conf_gcm", 'iflag_top_bound must be 0, 1 or 2', 1)
+       CALL abort_gcm("conf_gcm", 'iflag_top_bound must be 0, 1 or 2', 1)
 
   ! mode_top_bound : fields towards which sponge relaxation will be done:
@@ -749,5 +749,5 @@
      dzoomx = 0.2
      CALL getin('dzoomx',dzoomx)
-     call assert(dzoomx < 1, "conf_gcm: dzoomx must be < 1")
+     CALL assert(dzoomx < 1, "conf_gcm: dzoomx must be < 1")
 
      !Config  Key  = dzoomy
@@ -758,5 +758,5 @@
      dzoomy = 0.2
      CALL getin('dzoomy',dzoomy)
-     call assert(dzoomy < 1, "conf_gcm: dzoomy must be < 1")
+     CALL assert(dzoomy < 1, "conf_gcm: dzoomy must be < 1")
 
      !Config  Key  = taux
@@ -836,5 +836,5 @@
      vert_prof_dissip = merge(1, 0, ok_strato .and. llm==39)
      CALL getin('vert_prof_dissip', vert_prof_dissip)
-     call assert(vert_prof_dissip == 0 .or. vert_prof_dissip ==  1, &
+     CALL assert(vert_prof_dissip == 0 .or. vert_prof_dissip ==  1, &
           "bad value for vert_prof_dissip")
 
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/dynetat0.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/dynetat0.F90	(revision 5100)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/dynetat0.F90	(revision 5101)
@@ -8,5 +8,5 @@
   USE infotrac,    ONLY: nqtot, tracers, niso, iqIsoPha, iH2O, isoName
   USE strings_mod, ONLY: maxlen, msg, strStack, real2str, int2str
-  USE netcdf,      ONLY: nf90_open,  nf90_nowrite, NF90_INQ_VARID, &
+  USE netcdf,      ONLY: nf90_open,  nf90_nowrite, nf90_inq_varid, &
                          nf90_close, nf90_get_var, nf90_noerr
   USE readTracFiles_mod, ONLY: new2oldH2O, newHNO3, oldHNO3, getKey
@@ -116,8 +116,8 @@
   CALL get_var2("aire" ,aire)
   var="temps"
-  IF(NF90_INQ_VARID(fID,var,vID)/=nf90_noerr) THEN
+  IF(nf90_inq_varid(fID,var,vID)/=nf90_noerr) THEN
     CALL msg('missing field <temps> ; trying with <Time>', modname)
     var="Time"
-    CALL err(NF90_INQ_VARID(fID,var,vID),"inq",var)
+    CALL err(nf90_inq_varid(fID,var,vID),"inq",var)
   END IF
   CALL err(nf90_get_var(fID,vID,time),"get",var)
@@ -132,5 +132,5 @@
   ll=.FALSE.
 #ifdef REPROBUS
-  ll = NF90_INQ_VARID(fID, 'HNO3tot', vID) /= nf90_noerr                                 !--- DETECT OLD REPRO start.nc FILE
+  ll = nf90_inq_varid(fID, 'HNO3tot', vID) /= nf90_noerr                                 !--- DETECT OLD REPRO start.nc FILE
 #endif
   DO iq=1,nqtot
@@ -145,8 +145,8 @@
     END IF
     !--------------------------------------------------------------------------------------------------------------------------
-    IF(NF90_INQ_VARID(fID, var, vID) == nf90_noerr .AND. .NOT.lSkip) THEN                !=== REGULAR CASE: AVAILABLE VARIABLE
+    IF(nf90_inq_varid(fID, var, vID) == nf90_noerr .AND. .NOT.lSkip) THEN                !=== REGULAR CASE: AVAILABLE VARIABLE
       CALL err(nf90_get_var(fID,vID,q(:,:,:,iq)),"get",var)
     !--------------------------------------------------------------------------------------------------------------------------
-    ELSE IF(NF90_INQ_VARID(fID, oldVar, vID) == nf90_noerr) THEN                         !=== TRY WITH ALTERNATE NAME
+    ELSE IF(nf90_inq_varid(fID, oldVar, vID) == nf90_noerr) THEN                         !=== TRY WITH ALTERNATE NAME
       CALL msg('Tracer <'//TRIM(var)//'> is missing => initialized to <'//TRIM(oldVar)//'>', modname)
       CALL err(nf90_get_var(fID,vID,q(:,:,:,iq)),"get",oldVar)
@@ -208,5 +208,5 @@
   CHARACTER(LEN=*), INTENT(IN)  :: var
   REAL,             INTENT(OUT) :: v(:)
-  CALL err(NF90_INQ_VARID(fID,var,vID),"inq",var)
+  CALL err(nf90_inq_varid(fID,var,vID),"inq",var)
   CALL err(nf90_get_var(fID,vID,v),"get",var)
 END SUBROUTINE get_var1
@@ -216,5 +216,5 @@
   CHARACTER(LEN=*), INTENT(IN)  :: var
   REAL,             INTENT(OUT) :: v(:,:)
-  CALL err(NF90_INQ_VARID(fID,var,vID),"inq",var)
+  CALL err(nf90_inq_varid(fID,var,vID),"inq",var)
   CALL err(nf90_get_var(fID,vID,v),"get",var)
 END SUBROUTINE get_var2
@@ -224,5 +224,5 @@
   CHARACTER(LEN=*), INTENT(IN)  :: var
   REAL,             INTENT(OUT) :: v(:,:,:)
-  CALL err(NF90_INQ_VARID(fID,var,vID),"inq",var)
+  CALL err(nf90_inq_varid(fID,var,vID),"inq",var)
   CALL err(nf90_get_var(fID,vID,v),"get",var)
 END SUBROUTINE get_var3
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/dynredem.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/dynredem.F90	(revision 5100)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/dynredem.F90	(revision 5101)
@@ -9,5 +9,5 @@
   USE strings_mod, ONLY: maxlen
   USE infotrac, ONLY: nqtot, tracers
-  USE netcdf, ONLY: nf90_create, nf90_def_dim, NF90_INQ_VARID, nf90_global,    &
+  USE netcdf, ONLY: nf90_create, nf90_def_dim, nf90_inq_varid, nf90_global,    &
                     nf90_close,  nf90_put_att, nf90_unlimited, nf90_clobber,   &
                     nf90_64bit_offset
@@ -169,6 +169,6 @@
   USE infotrac, ONLY: nqtot, tracers, type_trac
   USE control_mod
-  USE netcdf,   ONLY: nf90_open,  nf90_nowrite, nf90_get_var, NF90_INQ_VARID,  &
-                      nf90_close, NF90_WRITE,   nf90_put_var, nf90_noerr
+  USE netcdf,   ONLY: nf90_open,  nf90_nowrite, nf90_get_var, nf90_inq_varid,  &
+                      nf90_close, nf90_write,   nf90_put_var, nf90_noerr
   USE dynredem_mod, ONLY: dynredem_write_u, dynredem_write_v, dynredem_read_u, &
                           err, modname, fil, msg
@@ -202,10 +202,10 @@
 
   modname='dynredem1'; fil=fichnom
-  CALL err(nf90_open(fil,NF90_WRITE,nid),"open",fil)
+  CALL err(nf90_open(fil,nf90_write,nid),"open",fil)
 
 !--- Write/extend time coordinate
   nb = nb + 1
   var="temps"
-  CALL err(NF90_INQ_VARID(nid,var,vID),"inq",var)
+  CALL err(nf90_inq_varid(nid,var,vID),"inq",var)
   CALL err(nf90_put_var(nid,vID,[time]),"put",var)
   WRITE(lunout,*)TRIM(modname)//": Saving for ", nb, time
@@ -213,8 +213,8 @@
 !--- Rewrite control table (itaufin undefined in dynredem0)
   var="controle"
-  CALL err(NF90_INQ_VARID(nid,var,vID),"inq",var)
+  CALL err(nf90_inq_varid(nid,var,vID),"inq",var)
   CALL err(nf90_get_var(nid,vID,tab_cntrl),"get",var)
   tab_cntrl(31)=DBLE(itau_dyn + itaufin)
-  CALL err(NF90_INQ_VARID(nid,var,vID),"inq",var)
+  CALL err(nf90_inq_varid(nid,var,vID),"inq",var)
   CALL err(nf90_put_var(nid,vID,tab_cntrl),"put",var)
 
@@ -235,5 +235,5 @@
     IF(lread_inca) THEN                  !--- Possibly read from "start_trac.nc"
       fil="start_trac.nc"
-      ierr=NF90_INQ_VARID(nid_trac,var,vID_trac)
+      ierr=nf90_inq_varid(nid_trac,var,vID_trac)
       dum='inq'; IF(ierr==nf90_noerr) dum='fnd'
       WRITE(lunout,*)msg(dum,var)
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/dynredem_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/dynredem_mod.F90	(revision 5100)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/dynredem_mod.F90	(revision 5101)
@@ -31,5 +31,5 @@
 !===============================================================================
   start(:)=[1,1,1,1]; count(:)=[iip1,jjp1,ll,1]
-  CALL err(NF90_INQ_VARID(ncid,id,nvarid),"inq",id)
+  CALL err(nf90_inq_varid(ncid,id,nvarid),"inq",id)
   CALL err(nf90_put_var(ncid,nvarid,var,start,count),"put",id)
   
@@ -54,5 +54,5 @@
 !===============================================================================
   start(:)=[1,1,1,1]; count(:)=[iip1,jjm,ll,1]
-  CALL err(NF90_INQ_VARID(ncid,id,nvarid),"inq",id)
+  CALL err(nf90_inq_varid(ncid,id,nvarid),"inq",id)
   CALL err(nf90_put_var(ncid,nvarid,var,start,count),"put",id)
   
@@ -77,5 +77,5 @@
 !===============================================================================
   start(:)=[1,1,1,1]; count(:)=[iip1,jjp1,ll,1]
-  CALL err(NF90_INQ_VARID(ncid,id,nvarid),"inq",id)
+  CALL err(nf90_inq_varid(ncid,id,nvarid),"inq",id)
   CALL err(nf90_get_var(ncid,nvarid,var,start,count),"get",id)
   
@@ -121,5 +121,5 @@
   CALL err(nf90_enddef(ncid))
   CALL err(nf90_put_var(ncid,nvarid,v),"put",var)
-  CALL err(NF90_REDEF(ncid))
+  CALL err(nf90_redef(ncid))
 
 END SUBROUTINE put_var1
@@ -144,5 +144,5 @@
   CALL err(nf90_enddef(ncid))
   CALL err(nf90_put_var(ncid,nvarid,v),"put",var)
-  CALL err(NF90_REDEF(ncid))
+  CALL err(nf90_redef(ncid))
 
 END SUBROUTINE put_var2
@@ -188,5 +188,5 @@
   IF(ierr==nf90_noerr) RETURN
   IF(.NOT.PRESENT(typ)) THEN
-    CALL ABORT_gcm(modname,NF90_STRERROR(ierr),ierr)
+    CALL ABORT_gcm(modname,nf90_strerror(ierr),ierr)
   ELSE
     CALL ABORT_gcm(modname,msg(typ,nam),ierr)
